Subject: RE: deprecated address handling for inbound TCP

From: Brian Zill <[email-masked]>
Date: Thu, 9 Nov 2000 21:09:15 -0800

> Why shouldn't an address be in the DNS?

In the renumbering scenario they were discussing, you'd switch your DNS
entries from the old address to the new address at the start of the
transition period.  So the old (deprecated) address wouldn't be in the DNS.

> And how can you tell that an address, deprecated for your
> particular instance, has not been re-issued and is valid
> for some other system?

Because the old prefix wouldn't be released back for reassignment until the
end of transition period.
 
> --bill
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Bill Manning <[email-masked]>
Date: Fri, 10 Nov 2000 02:37:25 -0800 (PST)

% 
% > Why shouldn't an address be in the DNS?
% 
% In the renumbering scenario they were discussing, you'd switch your DNS
% entries from the old address to the new address at the start of the
% transition period.  So the old (deprecated) address wouldn't be in the DNS.

	Switching the address should not require a DNS update. There 
	are -lots- of DNS entries that exist although there is no active
	session for the pairing.  DHCP pools for example.

% > And how can you tell that an address, deprecated for your
% > particular instance, has not been re-issued and is valid
% > for some other system?
% 
% Because the old prefix wouldn't be released back for reassignment until the
% end of transition period.

	And how long is that transition period? In the case of a persistant
	TCP session, that could be a long time.

--bill